#ifndef MERCURY_KERNEL_STORAGE_BD_MEMORY_HPP
#define MERCURY_KERNEL_STORAGE_BD_MEMORY_HPP

#include <mercury/kernel/storage.hpp>

namespace mercury::kernel::storage::bd {

  class memory : public block_device {

  private:
    uint8_t *buffer;

  public:
    memory(void *buffer, uint64_t buffer_len);

    bd_result read_blocks_no_cache(uint64_t start, uint64_t count, void *into) override;

  };

}

#endif
